<?php

use WpBookingPro\Factory;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Utilities\Utility;
use WpBookingPro\Language\Text;
defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);
$id_by_name = "element_field_". $name;
$data = $displayData['field']->getForm()->getData();
$modelEvents = Model::getInstance('events');
$list = $modelEvents->getList();
$list_event_id = [];
if (!is_array($value)) {
    $list_event_id[] = $value;
} else {
    $list_event_id = $value;
}
?>
    <div id="<?php echo (esc_attr($id_by_name)) ?>" class="<?php echo (esc_attr($class)); ?> field-events">
        <select name="<?php echo (esc_attr($name)); ?>" <?php echo($multiple ? ' multiple ' : ''); ?>
                class="list-event">
            <option value=""><?php esc_html_e('Select event','wpbookingpro'); ?></option>
            <?php foreach ($list as $item) { ?>
                <option <?php echo(in_array($item->id, $list_event_id) ? ' selected ' : ''); ?>
                        value="<?php echo (esc_attr($item->id)); ?>"><?php echo (esc_html($item->name)); ?></option>
            <?php } ?>
        </select>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addScriptApplySelector('.field-events','field_events',array(
),'admin/app/layouts/WooBooking/form/field/events/events.js');